using System;
using Infragistics.Windows.DataPresenter;

internal sealed class Delegate289 : MulticastDelegate
{
	public extern FieldLayout Invoke(object object_0);

	public static FieldLayout smethod_0(object object_0, Delegate289 delegate289_1)
	{
		return delegate289_1(object_0);
	}

	public extern Delegate289(object object_0, IntPtr intptr_0);

	static Delegate289()
	{
		Class10.smethod_13(typeof(Delegate289).TypeHandle);
	}

	internal static Delegate289 delegate289_0;
}
